# services/maintenance/bootstrap/image.yaml
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: ariadne
  namespace: maintenance
spec:
  image: registry.bstein.dev/bstein/ariadne
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: ariadne
  namespace: maintenance
spec:
  imageRepositoryRef:
    name: ariadne
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: metis
  namespace: maintenance
spec:
  image: registry.bstein.dev/bstein/metis
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: metis-amd64
  namespace: maintenance
spec:
  imageRepositoryRef:
    name: metis
  filterTags:
    pattern: '^(?P<version>0\.1\.0-\d+)-amd64$'
    extract: '$version'
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: metis-arm64
  namespace: maintenance
spec:
  imageRepositoryRef:
    name: metis
  filterTags:
    pattern: '^(?P<version>0\.1\.0-\d+)-arm64$'
    extract: '$version'
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: metis-sentinel
  namespace: maintenance
spec:
  image: registry.bstein.dev/bstein/metis-sentinel
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: metis-sentinel-amd64
  namespace: maintenance
spec:
  imageRepositoryRef:
    name: metis-sentinel
  filterTags:
    pattern: '^(?P<version>0\.1\.0-\d+)-amd64$'
    extract: '$version'
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: metis-sentinel-arm64
  namespace: maintenance
spec:
  imageRepositoryRef:
    name: metis-sentinel
  filterTags:
    pattern: '^(?P<version>0\.1\.0-\d+)-arm64$'
    extract: '$version'
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: soteria
  namespace: maintenance
spec:
  image: registry.bstein.dev/bstein/soteria
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: soteria
  namespace: maintenance
spec:
  imageRepositoryRef:
    name: soteria
  policy:
    semver:
      range: ">=0.1.0-0"
